package com.emato.cuspay.task;


import com.emato.cuspay.notify.MerchantNotice;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

/**
 * 定时器
 * @author zx
 * @version 1.0
 * 2018-05-15 17:16
 */

@Component
public class MerchantNoticeTimer {

    @Autowired
    private MerchantNotice cusMerchantNotice;

    /**
     * 异步通知
     */
    @Scheduled(fixedRate = 10000)
    public void notifyTask() {
        cusMerchantNotice.notifyMerchant();
    }
}
