package com.emato.cuspay.wx.task;

import com.emato.cuspay.wx.declare.CusDeclare;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

/**
 * @author zx
 * @version 1.0
 * 2018-05-19 14:49
 */

@Component
public class WxCusTimer {

    @Autowired
    private CusDeclare wxCusDeclare;

    /**
     * 支付申报定时任务
     */
    @Scheduled(fixedRate = 5000)
    public void declareTask() {
        wxCusDeclare.declare();
    }
}
