package com.emato.cuspay.support.msg.resp;

/**
 * 回执状态码
 *
 * @author Scott Chen
 * @date 2017/3/9
 */
public enum ResponseStatus {

    SUCCESS("0", "成功"),
    ERROR("-1", "错误"),
    FAILURE("-2", "失败"),

    UNAUTHORIZED("401", "非法请求"),


    SESSION_EXPIRE("600", "会话过期");


    public String item;
    public String itemName;

    ResponseStatus(String item, String itemName) {
        this.item = item;
        this.itemName = itemName;
    }

    public String getItem() {
        return item;
    }

    public void setItem(String item) {
        this.item = item;
    }

    public String getItemName() {
        return itemName;
    }

    public void setItemName(String itemName) {
        this.itemName = itemName;
    }

}
