package com.emato.cuspay.wx.service;

import com.emato.cuspay.wx.entity.WxCbPayDoc;
import com.emato.cuspay.support.msg.resp.ResponseMessage;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @author huangyq
 * @version 1.0
 * 2018-05-18 16:05
 */
@Component
public interface WxCbPayDocService {
    /**
     * 微信支付单入库
     * @param wxCbPayDoc 微信支付单证
     * @return
     */
    ResponseMessage addWxCbPayDoc(WxCbPayDoc wxCbPayDoc);

    /**
     * 查找微信推海关 待申报的数据
     * @param limit
     * @return
     */
    List<WxCbPayDoc> selectBeDeclaredData(Integer limit);

    /**
     * 更新
     * @param wxCbPayDoc
     * @return
     */
    int updateWxCbPay(WxCbPayDoc wxCbPayDoc);

    /**
     * 批量更新
     * @param wxCbPayDocs
     * @return
     */
    int updateBatch(List<WxCbPayDoc> wxCbPayDocs);

}
